CentOS 6.9 Rolback yum

Issues related to applications and software problems
spiketechnics
Posts: 9
Joined: 2017/10/23 10:03:29

CentOS 6.9 Rolback yum

Postby spiketechnics » 2017/11/09 11:31:51

Hello,

Yesterday our PBX-software has run an yum update to update to their latest version.

At the end some packages could not installed because our CPU does not support AES-NI.

Is their a possibility to rollback the yum installation? So we can use the working version?

Best regards,
Joost Lauwen

Code: Select all

[root@server ~]# yum history info 69
Loaded plugins: auto-update-debuginfo, fastestmirror, security
Transaction ID : 69
Begin time     : Wed Nov  8 22:27:35 2017
Begin rpmdb    : 731:85b677d7fea53411a66cdfa71142f0995b664059
End time       :            23:00:53 2017 (33 minutes)
End rpmdb      : 831:8412809845dc8d4ac95ac79c5792f7aaf05122ad
User           : root <root>
Return-Code    : Success
Command Line   : -y -c /etc/voipnow-yum.conf install voipnow-worker voipnow-core
Transaction performed with:
    Installed     rpm-4.8.0-55.el6.x86_64                                @base
    Installed     yum-3.2.29-81.el6.centos.noarch                        @base
    Installed     yum-plugin-auto-update-debug-info-1.1.30-40.el6.noarch @base
    Installed     yum-plugin-fastestmirror-1.1.30-40.el6.noarch          @base
Packages Altered:
    Dep-Install collectd-5.5.0-170909.R01.rhel6.x86_64                                @hubwall-release-2017.2
    Dep-Install cuda-1:8.0.61-170922.R01.rhel6.x86_64                                 @hubwall-release-2017.2
    Dep-Install cuda-cudnn-1:6.0-170921.R01.rhel6.x86_64                              @hubwall-release-2017.2
    Dep-Install cuda-drivers-375.66-170808.R01.rhel6.x86_64                           @hubwall-release-2017.2
    Obsoleted   elasticsearch-1.7.3-160723.R01.rhel6.x86_64                           @hubwall-release-2016.1
    Dep-Install elasticsearch-schema-5.2.5-171021.R01.rhel6.x86_64                    @voipnow-release-5.0.0
    Obsoleting  elasticsearch2-2.4.3-171018.R02.rhel6.x86_64                          @hubwall-release-2017.2
    Dep-Install elasticsearch2-auth-2.4.3-170807.R01.rhel6.x86_64                     @hubwall-release-2017.2
    Dep-Install elasticsearch2-hubgets-ac-2.4.3-170927.R01.rhel6.x86_64               @hubwall-release-2017.2
    Dep-Install elasticsearch2-phone-2.4.3-170830.R01.rhel6.x86_64                    @hubwall-release-2017.2
    Dep-Install environment-modules-3.2.10-3.el6.x86_64                               @base
    Dep-Install ffmpeg-3.2.4-170807.R01.rhel6.x86_64                                  @hubwall-release-2017.2
    Updated     ffmpeg-libs-3.0.5-161213.R01.rhel6.x86_64                             @hubwall-release-2016.1
    Update                  3.2.4-170807.R01.rhel6.x86_64                             @hubwall-release-2017.2
    Dep-Install freeglut-2.6.0-1.el6.x86_64                                           @base
    Updated     httpsa-admin-1.11.3-161227.R01.rhel6.x86_64                           @voipnow-release-4.0.0
    Update                   1.13.5-171010.R01.rhel6.x86_64                           @voipnow-release-5.0.0
    Updated     httpsa-admin-php-5.6.31-170927.R01.rhel6.x86_64                       @voipnow-release-4.0.0
    Update                       7.0.24-171010.R01.rhel6.x86_64                       @voipnow-release-5.0.0
    Updated     hubnode-4.1.3-170420.R01.rhel6.x86_64                                 @voipnow-release-4.0.0
    Update              5.2.5-171020.R01.rhel6.x86_64                                 @voipnow-release-5.0.0
    Updated     hubphp-2.0.0-171102.R01.rhel6.noarch                                  @hubphp-release-2.0.0
    Update             3.0.0-171102.R01.rhel6.noarch                                  @hubphp-release-5.0.0
    Updated     hubphp-libs-elastica-141120-150910.R01.rhel6.noarch                   @hubphp-release-2.0.0
    Update                           160825-170809.R01.rhel6.noarch                   @hubphp-release-5.0.0
    Dep-Install hubphp-libs-flow-1.0.1-170809.R01.rhel6.noarch                        @hubphp-release-5.0.0
    Dep-Install hubphp-libs-mobiledetect-2.8.25-170809.R01.rhel6.noarch               @hubphp-release-5.0.0
    Updated     hubphp-libs-oauth2-server-1.7.0-150910.R01.rhel6.noarch               @hubphp-release-2.0.0
    Update                                1.9.0-170809.R01.rhel6.noarch               @hubphp-release-5.0.0
    Updated     hubphp-libs-phpmailer-141121-161228.R01.rhel6.noarch                  @hubphp-release-2.0.0
    Update                            170515-170830.R01.rhel6.noarch                  @hubphp-release-5.0.0
    Updated     hubphp-libs-smarty-3.1.21-150910.R01.rhel6.noarch                     @hubphp-release-2.0.0
    Update                         3.1.30-170809.R01.rhel6.noarch                     @hubphp-release-5.0.0
    Dep-Install hubphp-libs-whichbrowser-2.0.22-170809.R01.rhel6.noarch               @hubphp-release-5.0.0
    Updated     hwnodejs-6.9.4-170119.R01.rhel6.x86_64                                @hubwall-release-2016.1
    Update               6.11.5-171027.R03.rhel6.x86_64                               @hubwall-release-2017.2
    Updated     hwnodejs-hubring-2.3.0-170308.R01.rhel6.x86_64                        @hubring-release-2.3.0
    Update                       2.5.0-171027.R03.rhel6.x86_64                        @hubring-release-2017.2
    Dep-Install infinipath-psm-3.3-19_g67c0807_open.el6.x86_64                        @base
    Dep-Install keyutils-libs-devel-1.4-5.el6.x86_64                                  @base
    Dep-Install krb5-devel-1.10.3-65.el6.x86_64                                       @base
    Dep-Install libXmu-1.1.1-2.el6.x86_64                                             @base
    Dep-Install libXxf86vm-1.1.3-2.1.el6.x86_64                                       @base
    Dep-Install libcom_err-devel-1.41.12-23.el6.x86_64                                @base
    Dep-Install libgfortran-4.4.7-18.el6.x86_64                                       @base
    Updated     libhubring-2.3.0-171005.R01.rhel6.x86_64                              @hubring-release-2.3.0
    Update                 2.5.0-170925.R01.rhel6.x86_64                              @hubring-release-2017.2
    Updated     libhubsys-2.3.0-170308.R01.rhel6.x86_64                               @hubring-release-2.3.0
    Update                2.5.0-171027.R03.rhel6.x86_64                               @hubring-release-2017.2
    Dep-Install libibumad-1.3.9-1.el6.x86_64                                          @base
    Dep-Install libibverbs-1.1.8-4.el6.x86_64                                         @base
    Dep-Install libimm-1.0.0-171010.R01.rhel6.x86_64                                  @voipnow-release-5.0.0
    Dep-Install libkadm5-1.10.3-65.el6.x86_64                                         @base
    Dep-Install libmpg123-1.23.6-170808.R01.rhel6.x86_64                              @hubwall-release-2017.2
    Dep-Install librdmacm-1.0.21-0.el6.x86_64                                         @base
    Dep-Install librtmp-2.4-170808.R01.rhel6.x86_64                                   @hubwall-release-2017.2
    Dep-Install libselinux-devel-2.0.94-7.el6.x86_64                                  @base
    Dep-Install libsepol-devel-2.0.41-4.el6.x86_64                                    @base
    Dep-Install libsodium-1.0.13-170830.R01.rhel6.x86_64                              @hubwall-release-2017.2
    Updated     libvpx-1.4.0-160129.R01.rhel6.x86_64                                  @hubwall-release-2016.1
    Update             1.6.1-170808.R01.rhel6.x86_64                                  @hubwall-release-2017.2
    Dep-Install luajit-2.1.0-170808.R01.rhel6.x86_64                                  @hubwall-release-2017.2
    Obsoleted   marfar-4.1.3-170513.R01.rhel6.x86_64                                  @voipnow-release-4.0.0
    Dep-Install mesa-dri-drivers-11.0.7-4.el6.x86_64                                  @base
    Dep-Install mesa-dri-filesystem-11.0.7-4.el6.x86_64                               @base
    Dep-Install mesa-dri1-drivers-7.11-8.el6.x86_64                                   @base
    Dep-Install mesa-libGL-11.0.7-4.el6.x86_64                                        @base
    Dep-Install mesa-libGLU-11.0.7-4.el6.x86_64                                       @base
    Dep-Install mesa-private-llvm-3.6.2-1.el6.x86_64                                  @base
    Dep-Install node-checkservice-5.2.5-170810.R02.rhel6.x86_64                       @voipnow-release-5.0.0
    Dep-Install node-crash-reporter-5.2.5-170909.R01.rhel6.x86_64                     @voipnow-release-5.0.0
    Dep-Install node-datachannel-5.2.5-171007.R01.rhel6.x86_64                        @voipnow-release-5.0.0
    Dep-Install node-giphy-5.2.5-171005.R01.rhel6.x86_64                              @voipnow-release-5.0.0
    Dep-Install node-hammer-5.2.5-170927.R01.rhel6.x86_64                             @voipnow-release-5.0.0
    Dep-Install node-hammer-scheduler-5.2.5-170909.R01.rhel6.x86_64                   @voipnow-release-5.0.0
    Dep-Install node-imm-5.2.5-170925.R01.rhel6.x86_64                                @voipnow-release-5.0.0
    Dep-Install node-lookup-5.2.5-170926.R01.rhel6.x86_64                             @voipnow-release-5.0.0
    Obsoleting  node-marfar-5.2.5-170921.R01.rhel6.x86_64                             @voipnow-release-5.0.0
    Dep-Install node-octopus-5.2.5-170810.R02.rhel6.x86_64                            @voipnow-release-5.0.0
    Dep-Install node-screenshare-5.2.5-170925.R01.rhel6.x86_64                        @voipnow-release-5.0.0
    Dep-Install node-stats-5.2.5-171007.R01.rhel6.x86_64                              @voipnow-release-5.0.0
    Dep-Install node-zeromq-2.13.0-170810.R02.rhel6.x86_64                            @voipnow-release-5.0.0
    Dep-Install numpy-1:1.11.2-170808.R01.rhel6.x86_64                                @hubwall-release-2017.2
    Dep-Install openblas-0.2.19-170808.R01.rhel6.x86_64                               @hubwall-release-2017.2
    Dep-Install opencv-3.3.0-170901.R01.rhel6.x86_64                                  @hubwall-release-2017.2
    Dep-Install opencv-core-3.3.0-170901.R01.rhel6.x86_64                             @hubwall-release-2017.2
    Dep-Install opencv-python-3.3.0-170901.R01.rhel6.x86_64                           @hubwall-release-2017.2
    Dep-Install openmpi-1.8-1.8.1-5.el6.x86_64                                        @base
    Dep-Install opensm-libs-3.3.17-1.el6.x86_64                                       @base
    Dep-Install openssl-devel-1.0.1e-57.el6.x86_64                                    @base
    Dep-Install papi-5.1.1-12.el6.x86_64                                              @base
    Dep-Install python-nose-0.10.4-3.1.el6.noarch                                     @base
    Dep-Install python27-2.7.13-170807.R01.rhel6.x86_64                               @hubwall-release-2017.2
    Dep-Install python27-backports-1.0.0-170807.R01.rhel6.noarch                      @hubwall-release-2017.2
    Dep-Install python27-backports-ssl_match_hostname-3.4.0.2-170807.R01.rhel6.noarch @hubwall-release-2017.2
    Dep-Install python27-backports-weakref-1.0.1-170808.R01.rhel6.noarch              @hubwall-release-2017.2
    Dep-Install python27-chardet-2.2.1-170807.R01.rhel6.noarch                        @hubwall-release-2017.2
    Dep-Install python27-elasticsearch-2.4.1-170808.R01.rhel6.noarch                  @hubwall-release-2017.2
    Dep-Install python27-eventlet-0.19.0-170808.R01.rhel6.noarch                      @hubwall-release-2017.2
    Dep-Install python27-funcsigs-1.0.2-170808.R01.rhel6.noarch                       @hubwall-release-2017.2
    Dep-Install python27-hubring-2.5.0-171006.R01.rhel6.x86_64                        @hubring-release-2017.2
    Dep-Install python27-imm-1.0.0-170909.R01.rhel6.x86_64                            @voipnow-release-5.0.0
    Dep-Install python27-libs-2.7.13-170807.R01.rhel6.x86_64                          @hubwall-release-2017.2
    Dep-Install python27-mock-2.0.0-170808.R01.rhel6.noarch                           @hubwall-release-2017.2
    Dep-Install python27-mysql55-1.2.3-170807.R01.rhel6.x86_64                        @hubwall-release-2017.2
    Dep-Install python27-numpy-1:1.11.2-170808.R01.rhel6.x86_64                       @hubwall-release-2017.2
    Dep-Install python27-pbr-1.10.0-170808.R01.rhel6.noarch                           @hubwall-release-2017.2
    Dep-Install python27-protobuf-3.3.0-170808.R02.rhel6.noarch                       @hubwall-release-2017.2
    Dep-Install python27-pyinotify-0.9.6-170808.R01.rhel6.noarch                      @hubwall-release-2017.2
    Dep-Install python27-requests-1.1.0-170807.R01.rhel6.noarch                       @hubwall-release-2017.2
    Dep-Install python27-setuptools-30.2.0-170808.R01.rhel6.noarch                    @hubwall-release-2017.2
    Dep-Install python27-six-1.10.0-170807.R01.rhel6.noarch                           @hubwall-release-2017.2
    Dep-Install python27-urllib3-1.10.2-170807.R01.rhel6.noarch                       @hubwall-release-2017.2
    Dep-Install python27-werkzeug-0.12.2-170810.R01.rhel6.x86_64                      @hubwall-release-2017.2
    Dep-Install python27-zmq-16.0.2-170808.R01.rhel6.x86_64                           @hubwall-release-2017.2
    Dep-Install rdma-6.9_4.1-3.el6.noarch                                             @base
    Updated     s3queue-4.1.3-170420.R01.rhel6.x86_64                                 @voipnow-release-4.0.0
    Update              5.2.5-170825.R01.rhel6.x86_64                                 @voipnow-release-5.0.0
    Dep-Install tbb-2.2-3.20090809.el6.x86_64                                         @base
    Dep-Install tensorflow-1.3.0-170921.R01.rhel6.x86_64                              @hubwall-release-2017.2
    Dep-Install tensorflow-im2txt-1.0.1-171018.R01.rhel6.x86_64                       @hubwall-release-2017.2
    Updated     voipnow-asterisk-11.7.0-170927.R01.rhel6.x86_64                       @voipnow-release-4.0.0
    Update                       11.7.0-171027.R02.rhel6.x86_64                       @voipnow-release-5.0.0
    Updated     voipnow-asterisk-extra-4.1.3-170420.R01.rhel6.x86_64                  @voipnow-release-4.0.0
    Update                             5.2.5-171005.R01.rhel6.x86_64                  @voipnow-release-5.0.0
    Updated     voipnow-automation-4.1.3-170420.R01.rhel6.x86_64                      @voipnow-release-4.0.0
    Update                         5.2.5-171003.R01.rhel6.x86_64                      @voipnow-release-5.0.0
    Dep-Install voipnow-collectd-modules-5.2.5-170904.R01.rhel6.noarch                @voipnow-release-5.0.0
    Updated     voipnow-core-4.1.3-171005.R01.rhel6.x86_64                            @voipnow-release-4.0.0
    Update                   5.2.5-171018.R01.rhel6.x86_64                            @voipnow-release-5.0.0
    Updated     voipnow-core-bin-4.1.3-170914.R01.rhel6.x86_64                        @voipnow-release-4.0.0
    Update                       5.2.5-170921.R01.rhel6.x86_64                        @voipnow-release-5.0.0
    Updated     voipnow-kamailio-4.1-170308.R02.rhel6.x86_64                          @voipnow-release-4.0.0
    Update                       4.1-171009.R01.rhel6.x86_64                          @voipnow-release-5.0.0
    Dep-Install voipnow-mlmodels-5.2.5-171011.R01.rhel6.noarch                        @voipnow-release-5.0.0
    Dep-Install voipnow-monitoring-5.2.5-170904.R01.rhel6.noarch                      @voipnow-release-5.0.0
    Dep-Install voipnow-monitoring-config-5.2.5-170904.R01.rhel6.noarch               @voipnow-release-5.0.0
    Updated     voipnow-nodeconfig-4.1.3-170927.R01.rhel6.x86_64                      @voipnow-release-4.0.0
    Update                         5.2.5-171021.R02.rhel6.x86_64                      @voipnow-release-5.0.0
    Updated     voipnow-webcommon-4.1.3-170420.R01.rhel6.x86_64                       @voipnow-release-4.0.0
    Update                        5.2.5-171005.R01.rhel6.x86_64                       @voipnow-release-5.0.0
    Updated     voipnow-webmanagement-4.1.3-170927.R01.rhel6.x86_64                   @voipnow-release-4.0.0
    Update                            5.2.5-171021.R02.rhel6.x86_64                   @voipnow-release-5.0.0
    Updated     voipnow-worker-4.1.3-170420.R01.rhel6.x86_64                          @voipnow-release-4.0.0
    Update                     5.2.5-171011.R01.rhel6.x86_64                          @voipnow-release-5.0.0
    Dep-Install voipnow-worker-callhistory-5.2.5-171017.R01.rhel6.x86_64              @voipnow-release-5.0.0
    Dep-Install voipnow-worker-image-5.2.5-171011.R01.rhel6.x86_64                    @voipnow-release-5.0.0
    Dep-Install voipnow-worker-plancap-5.2.5-170810.R02.rhel6.x86_64                  @voipnow-release-5.0.0
    Dep-Install voipnow-worker-reaper-5.2.5-170810.R02.rhel6.x86_64                   @voipnow-release-5.0.0
    Dep-Install voipnow-worker-ung-5.2.5-171001.R01.rhel6.x86_64                      @voipnow-release-5.0.0
    Dep-Install yajl-1.0.7-3.el6.x86_64                                               @base
    Dep-Install zeromq-4.2.2-171005.R01.rhel6.x86_64                                  @hubwall-release-2017.2
    Dep-Install zlib-devel-1.2.3-29.el6.x86_64                                        @base
    Dep-Install zlog-1.2.12-170808.R01.rhel6.x86_64                                   @hubwall-release-2017.2
Scriptlet output:
   1 Stopping S3Queue Upload Processor:   [  OK  ]
   2 Stopping S3Queue GC Processor:   [  OK  ]
   3 Stopping elasticsearch: [  OK  ]
   4 Starting elasticsearch: [  OK  ]
   5 Stopping elasticsearch: [  OK  ]
   6 [  OK  ]
   7 Starting elasticsearch: [  OK  ]
   8 Shutting down asterisk: [  OK  ]
   9 Shutting down asterisk: [  OK  ]
  10 Starting asterisk: [  OK  ]
  11 Shutting down asterisk: [  OK  ]
  12 Shutting down asterisk: [  OK  ]
  13 Starting asterisk: [  OK  ]
  14 Stopping httpsa: [  OK  ]
  15 Starting httpsa: [  OK  ]
  16 Gracefully shutting down PHP-FPM Application Server [  OK  ]
  17 Starting PHP-FPM Application Server [  OK  ]
  18 ==> Disabling srvmonitor for upgrade! ...
  19 warning: /etc/kamailio/kamailio.cfg saved as /etc/kamailio/kamailio.cfg.rpmsave
  20 warning: /etc/voipnow/local.conf created as /etc/voipnow/local.conf.rpmnew
  21 warning: /etc/voipnow/main.conf created as /etc/voipnow/main.conf.rpmnew
  22 warning: /etc/voipnow/monitoring.conf saved as /etc/voipnow/monitoring.conf.rpmsave
  23 warning: /etc/voipnow/paths.conf created as /etc/voipnow/paths.conf.rpmnew
  24 warning: /etc/voipnow/pbx.conf created as /etc/voipnow/pbx.conf.rpmnew
  25 warning: /etc/voipnow/sip.conf created as /etc/voipnow/sip.conf.rpmnew
  26 warning: /etc/voipnow/sqldbase.conf created as /etc/voipnow/sqldbase.conf.rpmnew
  27 ==> Going with existing node installation scenario ...
  28 ==> Root MySQL credentials correct, MySQL schema will be upgraded!
  29 ==> Fixing my.cnf settings...
  30 Shutting down MySQL...[  OK  ]
  31 Starting MySQL....[  OK  ]
  32 ==> Trying to alter the large database tables, please wait ...
  33 Your database is too large. Please check the Release Notes for off-hours upgrade!
  34 ==> Applying schema voipnow525.sql to database named voipnow ...
  35     This may take several minutes! DO NOT PRESS CTRL-C !
  36 ==> Applying schema automation/automation525.sql to database named voipnow ...
  37     This may take several minutes! DO NOT PRESS CTRL-C !
  38 Stopping xinetd: [  OK  ]
  39 Starting xinetd: [  OK  ]
  40 ==> Regenerating storage quota, please wait ...
  41 Will not compute quota when cloud object storage is enabled!
  42 ==> Importing timezone information to MySQL ...
  43 ==> Upgrading functions in database named voipnow ...
  44 ==> Upgrading views in database named voipnow ...
  45 ==> Upgrading procedures in database named voipnow ...
  46 ==> Upgrading triggers in database named voipnow ...
  47 ==> Upgrading events in database named voipnow ...
  48 ==> Upgrading Automation procedures in database named voipnow ...
  49 ==> Applying schema email_templates.sql to database named voipnow ...
  50     This may take several minutes! DO NOT PRESS CTRL-C !
  51 ==> Applying schema scheduler.sql to database named voipnow ...
  52     This may take several minutes! DO NOT PRESS CTRL-C !
  53 ==> Configuring default variables in /etc/voipnow/paths.conf ...
  54 ==> Configuring default variables in /etc/voipnow/disdbase.conf ...
  55 ==> Configuring default variables in /etc/voipnow/sip.conf ...
  56 ==> Configuring default variables in /etc/voipnow/main.conf ...
  57 ==> Configuring default variables in /etc/voipnow/pbx.conf ...
  58 ==> Configuring default variables in /etc/voipnow/local.conf ...
  59 ==> Configuring default variables in /etc/voipnow/monitoring.conf ...
  60 ==> Configuring default variables in /etc/voipnow/storage.conf ...
  61 ==> Copying Asterisk config files ...
  62 ==> Checking crontab entries ...
  63    * Adding server monitor to crontab: OK!
  64 ==> Checking InfrastructureID ...
  65 ==> Checking NodeID ...
  66 ==> Checking database users for roles ...
  67 ==> MySQL user for fax: OK!
  68 ==> MySQL user for management: OK!
  69 ==> MySQL user for sip: OK!
  70 ==> MySQL user for pbx: OK!
  71 ==> MySQL user for interface: OK!
  72 ==> Executing post installation checks ...
  73 Stopping xinetd: [  OK  ]
  74 Starting xinetd: [  OK  ]
  75 Shutting down asterisk: [  OK  ]
  76 Starting asterisk: [  OK  ]
  77 Stopping kamailio: [  OK  ]
  78 Starting kamailio: [  OK  ]
  79 Shutting down ntpd: [  OK  ]
  80 Starting ntpd: [  OK  ]
  81 Shutting down postfix: [  OK  ]
  82 Starting postfix: [  OK  ]
  83 ==> Fixing sysctl parameters ...
  84 ==> Upgrading Elasticsearch schema ...
  85 OK!
  86 chown: cannot access `/usr/local/voipnow/files/avt/default/letter/': No such file or directory
  87 ==> Installing provisioning templates ...
  88 OK!
  89 Restarting node for all apps: [  OK  ]
  90 Starting httpsa: [FAILED]
  91 Reloading httpsa:
  92 warning:    erase unlink of /etc/voipnow/taskreg-voipnow.conf failed: No such file or directory
  93 warning: /etc/ejabberd/ejabberd.yml saved as /etc/ejabberd/ejabberd.yml.rpmsave
  94 warning:    erase unlink of /usr/lib/node_modules/tools/httpClient.js failed: No such file or directory

aegersz
Posts: 73
Joined: 2016/04/04 07:42:58

Re: CentOS 6.9 Rolback yum

Postby aegersz » 2017/11/11 06:07:04

there is a "yum history undo nn" command but I have never used it and I'm just letting you know.

it is used for smaller updates apparently.